/**
 * <copyright>
 * </copyright>
 *
 * $Id: ClusteringFunctionSettingsValidator.java,v 1.1 2008-04-01 09:35:54 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.clustering.validation;

import orgomg.cwm.analysis.datamining.clustering.AggregationFunction;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.clustering.ClusteringFunctionSettings}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ClusteringFunctionSettingsValidator {
	boolean validate();

	boolean validateMaxNumberOfClusters(long value);
	boolean validateMinClusterSize(long value);
	boolean validateAggregationFunction(AggregationFunction value);
}
